%define		oname devicemanager
Summary:	devicemanager that shows the not removable devices too
Summary(de):	Devicemanager automatisches Ein/Ausbinden von Geräten KDE4
Name:		plasma-applet-devicemanager
Version: 	1.1.1
Release: 	%mkrel 3
Source0:        106051-%oname-%version.tar.xz
License: 	GPLv2
Group: 		Graphical desktop/KDE4
Url:	http://kde-look.org/content/show.php/Device+Manager?content=106051
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kde4-macros
BuildRequires:  kdelibs-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description 
This is the Device Notifier with two changes:
- it shows the not removable devices too
- when there are more than one action for a device instead of opening that
  ugly window it adds one button per action under the device
- margin in the left of the actions to distinguish them from the devices
- option for the automount
- option that makes the dialog hide after some time after the insertion of a
  removable device
- option to hide the not removable devices
- option to change the icon instead of showing the popup on the insertion of
  a new device
#german
%description
Dies ist eine Geräte Überwachung mit zwei Änderungen:
- Es zeigt die zu entfernbaren Geräten an 
- Wenn es mehr als eine Aktion für ein Gerät vorhanden ist, wird das Öffnen 
  mit Angeboten
- Option für das automatische Einbinden
- Option, um die nicht entfernbaren Geräten zu verbergen
usw.

%prep
%setup -q -n %oname

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%oname

%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/services/*

%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

